## knights-trinity 14.1.5

=== extra-theme/Abstract/CMakeLists.txt ===
foreach( _theme KCAbstract )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Brushed_Liquid/CMakeLists.txt ===
foreach( _theme Brushed_Liquid )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Classic/CMakeLists.txt ===
foreach( _theme KCClassic )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/FritzLook/CMakeLists.txt ===
foreach( _theme KBFritzLook )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Gray_Tiles/CMakeLists.txt ===
foreach( _theme KBGray_Tiles )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Metallic/CMakeLists.txt ===
foreach( _theme KCMetallic )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Nuts_and_Bolts/CMakeLists.txt ===
foreach( _theme  KCNuts_and_Bolts)

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Soft_Crimson/CMakeLists.txt ===
foreach( _theme KBSoft_Crimson )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/Tan_and_Gray/CMakeLists.txt ===
foreach( _theme KBTan_and_Gray )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/XBoard/CMakeLists.txt ===
foreach( _theme KBXBoard KCXBoard )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

=== extra-theme/XBoard_3D/CMakeLists.txt ===
foreach( _theme KCXBoard_3D )

tde_create_tarball(

    TARGET ${_theme}.tar.gz
    SOURCEDIR ${CMAKE_CURRENT_SOURCE_DIR}/${_theme}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/themes
)
endforeach( )

## knights-trinity 3.5.13.2

=== debian/changelog ===
knights-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:39:20 +0200

knights-trinity (0.6-8.3ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

knights-trinity (0.6-8.2ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

knights (0.6-8.2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/kubuntu_01_fix_castle.diff
    - Changed homepage and redid for new Debian spec.
    - Added Original-Maintainer as per Ubuntu spec.
    - debian/rules: Removed config.{sub,guess}.
    - debian/rules: added dh_icons.

 -- Andreas Wenning <awen@awen.dk>  Tue, 03 Jun 2008 21:43:51 +0200

knights (0.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop obsolete QT compat headers, patch by Barry deFreese
    (Closes: #464630)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 02 Apr 2008 22:45:54 +0200

knights (0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix bashism. (Closes: #459084)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jan 2008 00:00:08 +0100

knights (0.6-8ubuntu3) hardy; urgency=low

  * debian/rules: changed dh_iconcache to dh_icons - fixes build.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Thu, 6 Dec 2007 23:36:10 +0100

knights (0.6-8ubuntu2) hardy; urgency=low

  * Correct maintainer email.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Fri, 26 Oct 2007 20:36:30 +0200

knights (0.6-8ubuntu1) hardy; urgency=low

  * Merge from debian unstable. Remaining Ubuntu changes:
    - debian/kubuntu_01_fix_castle.diff
    - Changed homepage and redid for new Debian spec.
    - Added Original-Maintainer as per Ubuntu spec.
  * debian/rules: Removed config.{sub,guess}.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Fri, 26 Oct 2007 18:47:30 +0200

knights (0.6-8) unstable; urgency=low

  * New Mantainer. (Closes: #439531)
  * debian/watch: Updated to version 3.
  * debian/control:
    - Build-Depends: debhelper (>= 5.0.0).
    - Suggests: knights-themepack
  * debian/compat: DH_COMPAT 5.
  * debian/rules: copy updated config.guess and config.sub files to admin
    directory.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 06 Sep 2007 18:31:36 -0300

knights (0.6-7.1ubuntu2) feisty; urgency=low

  * Automated backport by prevu. No source changes
  * Fixed if in rules to work properly

 -- Martin Meredith <mez@ubuntu.com>  Wed,  8 Nov 2006 18:12:43 +0000

knights (0.6-7.1ubuntu2) edgy; urgency=low

  * Added kubuntu_01_fix_castle.dpatch to fix castling (Closes Malone #70424)

 -- Martin Meredith <mez@ubuntu.com>  Wed,  8 Nov 2006 17:31:03 +0000

knights (0.6-7.1ubuntu1) edgy; urgency=low

  * Sync from debian unstable
  * Added dh_iconcache

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 30 Aug 2006 03:20:17 -0500

knights (0.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't send the "st" (search time limit) command when using xboard to talk
    to chess engines; it makes some chess engines confused wrt. how much time
    they should spend on each move. Patch from Alex Midgley. (Closes: #366181)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Aug 2006 00:41:44 +0200

knights (0.6-7) unstable; urgency=low

  * debian/control: added kdebase-kio-plugins to Depends field.
    This allow users without kde installations to be able to load knights
    themes. (Closes: #361451)
  * Added a dpatch (courtesy of Claudio Moratti) to prevent knights from asking
    to agree to GPL in order to install it. (Closes: #360847)
  * debian/control: Standards-Version bumped to 3.7.2 (no changes required).
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 28 May 2006 16:29:36 +0200

knights (0.6-6) unstable; urgency=low

  * Rebuild against kdelibs4c2a. (Closes: #338269)
  * debian/control: build-depends on specific libraries instead of xlibs-dev.

 -- Tommaso Moroni <moronito@debian.org>  Sun,  4 Dec 2005 11:55:42 +0100

knights (0.6-5) unstable; urgency=low

  * Installed a menu icon, thanks to Steffen Joeris 
    for the patch. (Closes: #333383)
  * debian/rules: removes po/de.gmo during cleaning and restores original
    doc/Makefile.in to allow multiple builds from the same source.
    Thanks to Steffen Joeris for the help. (Closes: #333386)
  
 -- Tommaso Moroni <moronito@debian.org>  Sun, 23 Oct 2005 17:51:37 +0200

knights (0.6-4) unstable; urgency=low

  * Rebuild for C++-4.0 ABI transition and for libjack0.80.0 removal. (Closes: #317207)
  * debian/patches: added corrections to the German PO file, 
    thanks to Jens Seidel. (Closes: #314004)
  * debian/control: Standards-Version bumped to 3.6.2 (no changes required).
    
 -- Tommaso Moroni <moronito@debian.org>  Sun, 11 Sep 2005 16:53:42 +0200

knights (0.6-3) unstable; urgency=low

  * debian/patches: added a patch to allow compilation with g++-4.0, 
    thanks to Andreas Jochens. (Closes: #300362)

 -- Tommaso Moroni <moronito@debian.org>  Sun, 20 Mar 2005 17:44:17 +0100

knights (0.6-2) unstable; urgency=low

  * debian/control: added xlibs-dev to the build-depends. (Closes: #300139)
  * debian/rules: added --enable-libsuffix= to configure command, so on some archs
    /lib64 isn't assumed as the only library directory suffix.
  * debian/copyright: made distinction between license and copyright.

 -- Tommaso Moroni <moronito@debian.org>  Fri, 18 Mar 2005 18:40:20 +0100

knights (0.6-1) unstable; urgency=low

  * Initial Release. (closes: #136271)

 -- Tommaso Moroni <moronito@debian.org>  Thu, 23 Dec 2004 11:20:19 +0100

=== debian/control ===
Source: knights-trinity
Section: games
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, poxml-trinity, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, libasound2-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knights.sourceforge.net/

Package: knights-trinity
Architecture: any
Depends: ${shlibs:Depends}, kdebase-kio-plugins-trinity
Replaces: knights-kde3 (<< 4:3.5.13)
Breaks: knights-kde3 (<< 4:3.5.13)
Suggests: gnuchess | crafty | sjeng, knights-themepack-trinity
Description: A chess interface for the K Desktop Environment [Trinity]
 Knights aims to be the ultimate chess resource on your computer. 
 Written for the K Desktop Environment, it's designed to be both friendly 
 to new chess players and functional for Grand Masters.
 .
 Here's a quick list of Knights' key features:
 .
    * Play against yourself, against computer opponents, 
      or against others over the Internet.
    * Customize your board and pieces with over 30 different themes, 
      or make your own!
    * Audio cues help alert you to important events.
    * Novice players can preview potential moves.
    * Save your unfinished matches and play them again later.

## knights-trinity 14.0.4

=== debian/changelog ===
knights-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:27:52 +0200

## knights-trinity 14.0.5

=== debian/changelog ===
knights-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:46:42 +0200

=== debian/control ===
Source: knights-trinity
Section: games
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev, poxml-trinity, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, libasound2-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://knights.sourceforge.net/

Package: knights-trinity
Architecture: any
Depends: ${shlibs:Depends}, tdebase-tdeio-plugins-trinity
Replaces: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
Breaks: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
Suggests: gnuchess | crafty | sjeng, knights-themepack-trinity
Description: A chess interface for the Trinity Desktop Environment [Trinity]
 Knights aims to be the ultimate chess resource on your computer. 
 Written for the Trinity Desktop Environment, it's designed to be both friendly 
 to new chess players and functional for Grand Masters.
 .
 Here's a quick list of Knights' key features:
 .
    * Play against yourself, against computer opponents, 
      or against others over the Internet.
    * Customize your board and pieces with over 30 different themes, 
      or make your own!
    * Audio cues help alert you to important events.
    * Novice players can preview potential moves.
    * Save your unfinished matches and play them again later.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

-include debian/debiandirs

debian/knights.xpm: media/hi32-app-knights.png
	convert $< $@


config.status:
	dh_testdir

ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	cp -p /usr/share/misc/config.sub admin/config.sub
	cp -p /usr/share/misc/config.guess admin/config.guess
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	if [ -f doc/Makefile.in ]; then cp doc/Makefile.in doc/Makefile.in.backup; else mv doc/Makefile.in.backup doc/Makefile.in; fi
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--disable-debug --disable-rpath --sysconfdir=/etc --includedir=/opt/trinity/include/tde --infodir=/opt/trinity/share/info --mandir=/opt/trinity/share/man --with-qt-dir=/usr/share/qt3 --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib


build: build-stamp

build-stamp:  config.status debian/knights.xpm
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f po/de.gmo
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/knights-trinity
	dh_install debian/knights.xpm /opt/trinity/share/pixmaps/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_icons
	dh_installman debian/knights.1
	mv debian/knights-trinity/usr/share/man debian/knights-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress -X.docbook
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/knights/knights-(\d\.\d\.\d.*)\.tar\.gz

## knights-trinity 14.0.6

=== debian/changelog ===
knights-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev, poxml-trinity, imagemagick, libx11-dev, libxext-dev, libxinerama-dev, libxpm-dev, x-dev | x11proto-core-dev | libx11-dev, libasound2-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knights.sourceforge.net/

## knights-trinity 14.0.8

=== debian/changelog ===
knights-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knights.sourceforge.net/

## knights-trinity 14.0.9

=== debian/changelog ===
knights-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:08:47 +0200

## knights-trinity 14.0.10

=== debian/changelog ===
knights-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: knights-trinity
 Section: games
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
 Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev

## knights-trinity 14.0.11

=== debian/changelog ===
knights-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 01:58:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knights.sourceforge.net/
 
 Package: knights-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, tdebase-tdeio-plugins-trinity
-Replaces: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
-Breaks: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
+Replaces: knights-trinity (<< 4:14.0.0~)
+Breaks: knights-trinity (<< 4:14.0.0~)
 Suggests: gnuchess | crafty | sjeng, knights-themepack-trinity
 Description: A chess interface for the Trinity Desktop Environment [Trinity]
  Knights aims to be the ultimate chess resource on your computer.

## knights-trinity 14.0.12

=== debian/changelog ===
knights-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 12 Mar 2022 22:59:27 +0100

## knights-trinity 14.0.13

=== debian/changelog ===
knights-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 11:18:38 +0200

## knights-trinity 14.1.0

=== debian/changelog ===
knights-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## knights-trinity 14.1.1

=== debian/changelog ===
knights-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Sep 2023 15:32:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knights.sourceforge.net/
 
@@ -28,3 +28,10 @@
     * Audio cues help alert you to important events.
     * Novice players can preview potential moves.
     * Save your unfinished matches and play them again later.
+
+Package: knights-themepack-trinity
+Architecture: all
+Depends: ${shlibs:Depends}
+Enhances: knights-trinity
+Description: A chess interface for the Trinity Desktop Environment [Trinity]
+ This packages contains extra themes.

## knights-trinity 14.1.2

=== debian/changelog ===
knights-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## knights-trinity 14.1.3

=== debian/changelog ===
knights-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:50:49 +0200

## knights-trinity 14.1.4

=== debian/changelog ===
knights-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## knights-trinity 14.1.5~pre0

=== debian/changelog ===
knights-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9bc7b536f056d595e7c469a9c2a7cb4fbd9ff7da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knights-trinity 14.1.5

=== debian/changelog ===
knights-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
 Uploaders: Ola Lundqvist <opal@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://knights.sourceforge.net/
 
 Package: knights-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, tdebase-tdeio-plugins-trinity
-Replaces: knights-trinity (<< 4:14.0.0~)
-Breaks: knights-trinity (<< 4:14.0.0~)
+Replaces: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
+Breaks: knights-kde3 (<< 4:14.0.0~), knights-trinity (<< 4:14.0.0~)
 Suggests: gnuchess | crafty | sjeng, knights-themepack-trinity
 Description: A chess interface for the Trinity Desktop Environment [Trinity]
  Knights aims to be the ultimate chess resource on your computer.

## knights-trinity 14.1.6~pre0

=== debian/changelog ===
knights-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9bc7b536f056d595e7c469a9c2a7cb4fbd9ff7da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## knights-trinity 14.1.6~pre1

=== debian/changelog ===
knights-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dbf85d942a9af8f7ac62637ffb2bc027b3e7e4ff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:35:55 +0100

## knights-trinity 14.1.6~pre3

=== debian/changelog ===
knights-trinity (4:14.1.6~pre3-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 3d6e9e6ff84a8b814bc90d504d52c193d9545f5d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 09:27:56 +0100

## knights-trinity 14.2.0~pre38

=== debian/changelog ===
knights-trinity (4:14.2.0~pre38-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1ff71e7f0d34c481c99df654c927f208fc934a3c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## knights-trinity 14.2.0~pre39

=== debian/changelog ===
knights-trinity (4:14.2.0~pre39-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c38931b6a92acac9f834f18300fb8adbe96284c4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:54:22 +0100

## knights-trinity 14.2.0~pre41

=== debian/changelog ===
knights-trinity (4:14.2.0~pre41-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 9e4f13bb8d679bf6447fa4a52f2a55ef606bd6e6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#knights

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 20:08:02 +0100
